# Uses of Interface
org.jfree.chart3d.marker.Marker

Packages that use Marker
Package
Description
org.jfree.chart3d.marker
Provides value and range marker support for the axes on category and XYZ plots.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of Marker in org.jfree.chart3d.marker

Subinterfaces of Marker in org.jfree.chart3d.marker
Modifier and Type
Interface
Description
`interface`
`ValueMarker`
A marker that can be used to mark a value or range of values on a `ValueAxis3D`.
Classes in org.jfree.chart3d.marker that implement Marker
Modifier and Type
Class
Description
`class`
`AbstractMarker`
A base class for implementing markers (includes the event notification mechanism).
`class`
`CategoryMarker`
A marker for a category on a `CategoryAxis3D`.
`class`
`NumberMarker`
A marker used to mark one value on an axis.
`class`
`RangeMarker`
A marker that marks a range of values on an axis.
Methods in org.jfree.chart3d.marker that return Marker
Modifier and Type
Method
Description
`Marker`
MarkerChangeEvent.`getMarker()`
Returns the marker associated with this event.
Constructors in org.jfree.chart3d.marker with parameters of type Marker
Modifier
Constructor
Description
``
`MarkerChangeEvent(Object source, Marker marker)`
Creates a new event.
``
`MarkerChangeEvent(Marker marker)`
Creates a new event.

## Uses of Marker in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type Marker
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleMarker(Marker marker)`
Applies the current style to a marker.